/*
 *    @(#) 2.75 src/somd/somderr.h, somd, som3.0 6/27/96 20:48:48 [12/24/96 07:39:33]
 */
/*
 *   COMPONENT_NAME: somd
 *
 *   ORIGINS: 27
 *
 *
 *    25H7912  (C)  COPYRIGHT International Business Machines Corp. 1992,1996,1996  
 *   All Rights Reserved
 *   Licensed Materials - Property of IBM
 *   US Government Users Restricted Rights - Use, duplication or
 *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *   05/21/96	smy   D18938: Add SOMDERROR_ReservedPrpertyId.
 *   05/21/96	smy   D18622: Add SOMDERROR_DefaultClass.
 */

/*
 *    SOMDERR.H
 *    Distributed System Object Model run-time error codes
 */

#ifndef somderr_h
#define somderr_h

/* somdCommDebugFlag bit vector defines */
#define SOMD_TRACE_TRANSPORT     0x00000001
#define SOMD_TRACE_DATASTREAM    0x00000002
#define SOMD_TRACE_DISPATCH      0x00000004
#define SOMD_TRACE_CSMUTEX       0x00000008                        /* D15311 */
#define SOMD_TRACE_MARSHAL       0x00000010                        /* D18678 */

/* SOMD Error base number */
#define SOMD_ERR_BASE   30000
#define SOMD_MAX_ERROR  49999                                      /* D18377 */

/* reserve minor error code range for SNA */
#define SOMDSNA_ERR_BASE   39800 /* SNA owns 39800 to 39999 */
#define SOMDSNA_MAX        39999 /* SNA owns 39800 to 39999 */

/* SOMD Operating System Error base number */
#define SOMD_OPSYS_BASE 40000
#define SOMDERROR_OPSYS "SOMDERROR_OperatingSystem"

/* SOMD Socket Error base number */
#define SOMD_SOCKET_BASE 35000
#define SOMDERROR_SOCKET "SOMDERROR_SocketError"

#define SOMD_ErrorCode(incode) (SOMD_ERR_BASE + (incode))

#define SOMDERROR_NoMemory              SOMD_ErrorCode(1)   /* DO NOT MOVE */
#define SOMDERROR_NotImplemented        SOMD_ErrorCode(2)   /* DO NOT MOVE */
#define SOMDERROR_InvalidProtocolInformation SOMD_ErrorCode(3)
#define SOMDERROR_SOMDDAlreadyRunning   SOMD_ErrorCode(4)
#define SOMDERROR_TranServiceUnavail    SOMD_ErrorCode(5)
#define SOMDERROR_InvalidConfigSetting  SOMD_ErrorCode(6)  /* msg 704 */
#define SOMDERROR_BadEnvironment        SOMD_ErrorCode(7)
#define SOMDERROR_HostAddress           SOMD_ErrorCode(8)   /* DO NOT MOVE */
#define SOMDERROR_CouldNotStartProcess  SOMD_ErrorCode(9)   /* msg 700 */
#define SOMDERROR_Unused10              SOMD_ErrorCode(10)
#define SOMDERROR_Unused11              SOMD_ErrorCode(11)
#define SOMDERROR_Unused12              SOMD_ErrorCode(12)
#define SOMDERROR_Unused13              SOMD_ErrorCode(13)
#define SOMDERROR_Unused14              SOMD_ErrorCode(14)
#define SOMDERROR_BadTypeCode           SOMD_ErrorCode(15)
#define SOMDERROR_BadDescriptor         SOMD_ErrorCode(16)  /* msg 702 */
#define SOMDERROR_InvalidBaseProxyClass SOMD_ErrorCode(17)
#define SOMDERROR_CouldNotStartThread   SOMD_ErrorCode(18)
#define SOMDERROR_NoMessages            SOMD_ErrorCode(19)  /* DO NOT MOVE */
#define SOMDERROR_UndeclaredException   SOMD_ErrorCode(20)  /* msg 705 */
#define SOMDERROR_MarshalingError       SOMD_ErrorCode(21)
#define SOMDERROR_Unused22       	SOMD_ErrorCode(22)
#define SOMDERROR_CommTimeOut           SOMD_ErrorCode(23)   /* DO NOT MOVE */
#define SOMDERROR_CannotConnect         SOMD_ErrorCode(24)   /* DO NOT MOVE */
#define SOMDERROR_BadConnection         SOMD_ErrorCode(25)   /* DO NOT MOVE */
#define SOMDERROR_AS400_Error01         SOMD_ErrorCode(26)
#define SOMDERROR_AS400_Error02         SOMD_ErrorCode(27)
#define SOMDERROR_AS400_Error03         SOMD_ErrorCode(28)
#define SOMDERROR_AS400_Error04         SOMD_ErrorCode(29)
#define SOMDERROR_AS400_Error05         SOMD_ErrorCode(30)
#define SOMDERROR_AS400_Error06         SOMD_ErrorCode(31)
#define SOMDERROR_AS400_Error07         SOMD_ErrorCode(32)
#define SOMDERROR_AS400_Error08         SOMD_ErrorCode(33)
#define SOMDERROR_BadObjref             SOMD_ErrorCode(34)   /* DO NOT MOVE */
#define SOMDERROR_AS400_Error09         SOMD_ErrorCode(35)
#define SOMDERROR_AS400_Error10         SOMD_ErrorCode(36)
#define SOMDERROR_AS400_Error11         SOMD_ErrorCode(37)
#define SOMDERROR_AS400_Error12         SOMD_ErrorCode(38)
#define SOMDERROR_AS400_Error13         SOMD_ErrorCode(39)
#define SOMDERROR_AS400_Error14         SOMD_ErrorCode(40)
#define SOMDERROR_AS400_Error15         SOMD_ErrorCode(41)
#define SOMDERROR_AS400_Error16         SOMD_ErrorCode(42)
#define SOMDERROR_NoSOMDInit            SOMD_ErrorCode(43)  /* DO NOT MOVE */
#define SOMDERROR_CommunicationsError   SOMD_ErrorCode(44)
#define SOMDERROR_ImplRepIO             SOMD_ErrorCode(45)   /* DO NOT MOVE */
#define SOMDERROR_EntryNotFound         SOMD_ErrorCode(46)   /* DO NOT MOVE */
#define SOMDERROR_ClassNotFound         SOMD_ErrorCode(47)  /* DO NOT MOVE */
                                                            /* msg 701 */
/* ServerNotFound: do not use in new code, only for backward-compat. */
#define SOMDERROR_ServerNotFound        SOMD_ErrorCode(48)  /* DO NOT MOVE */
#define SOMDERROR_ServerAlreadyExists   SOMD_ErrorCode(49)  /* DO NOT MOVE */
#define SOMDERROR_AS400_Error17         SOMD_ErrorCode(50)
#define SOMDERROR_AS400_Error18         SOMD_ErrorCode(51)
#define SOMDERROR_AS400_Error19         SOMD_ErrorCode(52)
#define SOMDERROR_AS400_Error20         SOMD_ErrorCode(53)
#define SOMDERROR_AS400_Error21         SOMD_ErrorCode(54)
#define SOMDERROR_AS400_Error22         SOMD_ErrorCode(55)
#define SOMDERROR_AS400_Error23         SOMD_ErrorCode(56)
#define SOMDERROR_AS400_Error24         SOMD_ErrorCode(57)
#define SOMDERROR_AS400_Error25         SOMD_ErrorCode(58)
#define SOMDERROR_AS400_Error26         SOMD_ErrorCode(59)
#define SOMDERROR_AS400_Error27         SOMD_ErrorCode(60)
#define SOMDERROR_CtxNoPropFound        SOMD_ErrorCode(61)   /* DO NOT MOVE */
#define SOMDERROR_Unused62              SOMD_ErrorCode(62)
#define SOMDERROR_Unused63              SOMD_ErrorCode(63)
#define SOMDERROR_Unused64              SOMD_ErrorCode(64)
#define SOMDERROR_Unused65              SOMD_ErrorCode(65)
#define SOMDERROR_BadParm               SOMD_ErrorCode(66)   /* DO NOT MOVE */
                                                             /* msg 703 */
#define SOMDERROR_Unused67              SOMD_ErrorCode(67)
#define SOMDERROR_Unused68              SOMD_ErrorCode(68)
#define SOMDERROR_Unused69              SOMD_ErrorCode(69)
#define SOMDERROR_AuthnFail             SOMD_ErrorCode(70)  /* security only */
#define SOMDERROR_Unused71              SOMD_ErrorCode(71)
#define SOMDERROR_SecurityFail          SOMD_ErrorCode(72)  /* security only */
#define SOMDERROR_Unused73              SOMD_ErrorCode(73)
#define SOMDERROR_Unused74              SOMD_ErrorCode(74)
#define SOMDERROR_Unused75              SOMD_ErrorCode(75)
#define SOMDERROR_Unused76              SOMD_ErrorCode(76)
#define SOMDERROR_Unused77              SOMD_ErrorCode(77)
#define SOMDERROR_Unused78              SOMD_ErrorCode(78)
#define SOMDERROR_Unused79              SOMD_ErrorCode(79)
#define SOMDERROR_DuplicateEntry        SOMD_ErrorCode(80)
#define SOMDERROR_Internal              SOMD_ErrorCode(81)
#define SOMDERROR_BadUnionTag           SOMD_ErrorCode(82)
#define SOMDERROR_BadSequence           SOMD_ErrorCode(83)
#define SOMDERROR_NotStreamable         SOMD_ErrorCode(84)
#define SOMDERROR_BadForeign            SOMD_ErrorCode(85)
#define SOMDERROR_NotForeignMarshaler   SOMD_ErrorCode(86)
#define SOMDERROR_ServerNotManaged      SOMD_ErrorCode(87)
#define SOMDERROR_NamingNotActive       SOMD_ErrorCode(88)
#define SOMDERROR_WrongRefType          SOMD_ErrorCode(89)  /* DO NOT MOVE */
#define SOMDERROR_AbstractClass         SOMD_ErrorCode(90)
#define SOMDERROR_AS400_Error28         SOMD_ErrorCode(91)
#define SOMDERROR_AS400_Error29         SOMD_ErrorCode(92)
#define SOMDERROR_AS400_Error30         SOMD_ErrorCode(93)
#define SOMDERROR_AS400_Error31         SOMD_ErrorCode(94)
#define SOMDERROR_AS400_Error32         SOMD_ErrorCode(95)
#define SOMDERROR_AS400_Error33         SOMD_ErrorCode(96)
#define SOMDERROR_AS400_Error34         SOMD_ErrorCode(97)
#define SOMDERROR_AS400_Error35         SOMD_ErrorCode(98)
#define SOMDERROR_AS400_Error36         SOMD_ErrorCode(99)
#define SOMDERROR_AS400_Error37         SOMD_ErrorCode(100)
#define SOMDERROR_AS400_Error38         SOMD_ErrorCode(101)
#define SOMDERROR_AS400_Error39         SOMD_ErrorCode(102)
#define SOMDERROR_AS400_Error40         SOMD_ErrorCode(103)
#define SOMDERROR_AS400_Error41         SOMD_ErrorCode(104)
#define SOMDERROR_AS400_Error42         SOMD_ErrorCode(105)
#define SOMDERROR_AS400_Error43         SOMD_ErrorCode(106)
#define SOMDERROR_AS400_Error44         SOMD_ErrorCode(107)
#define SOMDERROR_AS400_Error45         SOMD_ErrorCode(108)
#define SOMDERROR_SOMDDNotRunning       SOMD_ErrorCode(109)   /* DO NOT MOVE */
#define SOMDERROR_Unused110       	SOMD_ErrorCode(110)
#define SOMDERROR_Unused111       	SOMD_ErrorCode(111)
#define SOMDERROR_Unused112       	SOMD_ErrorCode(112)
#define SOMDERROR_Unused113       	SOMD_ErrorCode(113)
#define SOMDERROR_Unused114       	SOMD_ErrorCode(114)
#define SOMDERROR_Unused115       	SOMD_ErrorCode(115)
#define SOMDERROR_ServerInterrupt       SOMD_ErrorCode(116)  /* DO NOT MOVE */
#define SOMDERROR_ReservedPropertyId    SOMD_ErrorCode(117)  /* msg 710 */
#define SOMDERROR_DefaultClass		SOMD_ErrorCode(118)  /* msg 711 */ 
#define SOMDERROR_Unused119             SOMD_Errorcode(119)
#define SOMDERROR_Unused120             SOMD_Errorcode(120)
#define SOMDERROR_Unused121             SOMD_Errorcode(121)
#define SOMDERROR_Unused122             SOMD_Errorcode(122)
#define SOMDERROR_Unused123             SOMD_Errorcode(123)
#define SOMDERROR_Unused124             SOMD_Errorcode(124)
#define SOMDERROR_Unused125             SOMD_Errorcode(125)
#define SOMDERROR_Unused126             SOMD_Errorcode(126)
#define SOMDERROR_Unused127             SOMD_Errorcode(127)
#define SOMDERROR_Unused128             SOMD_Errorcode(128)
#define SOMDERROR_Unused129             SOMD_Errorcode(129)
#define SOMDERROR_Unused130             SOMD_Errorcode(130)
#define SOMDERROR_Unused131             SOMD_Errorcode(131)
#define SOMDERROR_Unused132             SOMD_Errorcode(132)
#define SOMDERROR_Unused133             SOMD_Errorcode(133)
#define SOMDERROR_Unused134             SOMD_Errorcode(134)
#define SOMDERROR_Unused135             SOMD_Errorcode(135)
#define SOMDERROR_Unused136             SOMD_Errorcode(136)
#define SOMDERROR_Unused137             SOMD_Errorcode(137)
#define SOMDERROR_Unused138             SOMD_Errorcode(138)
#define SOMDERROR_Unused139             SOMD_Errorcode(139)
#define SOMDERROR_Unused140             SOMD_Errorcode(140)
#define SOMDERROR_Unused141             SOMD_Errorcode(141)
#define SOMDERROR_Unused142             SOMD_Errorcode(142)
#define SOMDERROR_Unused143             SOMD_Errorcode(143)
#define SOMDERROR_Unused144             SOMD_Errorcode(144)
#define SOMDERROR_Unused145             SOMD_Errorcode(145)
#define SOMDERROR_Unused146             SOMD_Errorcode(146)
#define SOMDERROR_Unused147             SOMD_Errorcode(147)
#define SOMDERROR_Unused148             SOMD_Errorcode(148)
#define SOMDERROR_Unused149             SOMD_Errorcode(149)
#define SOMDERROR_AS400_Error46         SOMD_ErrorCode(150)
#define SOMDERROR_AS400_Error47         SOMD_ErrorCode(151)
#define SOMDERROR_AS400_Error48         SOMD_ErrorCode(152)
#define SOMDERROR_AS400_Error49         SOMD_ErrorCode(153)
#define SOMDERROR_AS400_Error50         SOMD_ErrorCode(154)
#define SOMDERROR_AS400_Error51         SOMD_ErrorCode(155)
#define SOMDERROR_AS400_Error52         SOMD_ErrorCode(156)
#define SOMDERROR_AS400_Error53         SOMD_ErrorCode(157)
#define SOMDERROR_AS400_Error54         SOMD_ErrorCode(158)
#define SOMDERROR_AS400_Error55         SOMD_ErrorCode(159)
#define SOMDERROR_AS400_Error56         SOMD_ErrorCode(160)

/* FOLLOWING 2.1 ERROR CODES ARE NO LONGER USED */
#define SOMDERROR_UnexpectedNULL        SOMD_ErrorCode(999)
#define SOMDERROR_IO                    SOMD_ErrorCode(999)
#define SOMDERROR_BadVersion            SOMD_ErrorCode(999)
#define SOMDERROR_ParmSize              SOMD_ErrorCode(999)
#define SOMDERROR_HostName              SOMD_ErrorCode(999)
#define SOMDERROR_SocketCreate          SOMD_ErrorCode(999)
#define SOMDERROR_SocketBind            SOMD_ErrorCode(999)
#define SOMDERROR_SocketName            SOMD_ErrorCode(999)
#define SOMDERROR_SocketReceive         SOMD_ErrorCode(999)
#define SOMDERROR_SocketSend            SOMD_ErrorCode(999)
#define SOMDERROR_SocketIoctl           SOMD_ErrorCode(999)
#define SOMDERROR_SocketSelect          SOMD_ErrorCode(999)
#define SOMDERROR_PacketSequence        SOMD_ErrorCode(999)
#define SOMDERROR_PacketTooBig          SOMD_ErrorCode(999)
#define SOMDERROR_AddressNotFound       SOMD_ErrorCode(999)
#define SOMDERROR_UnknownAddress        SOMD_ErrorCode(999)
#define SOMDERROR_RecvError             SOMD_ErrorCode(999)
#define SOMDERROR_SendError             SOMD_ErrorCode(999)
#define SOMDERROR_NoHostName            SOMD_ErrorCode(999)
#define SOMDERROR_BadBinding            SOMD_ErrorCode(999)
#define SOMDERROR_BadMethodName         SOMD_ErrorCode(999)
#define SOMDERROR_BadContext            SOMD_ErrorCode(999)
#define SOMDERROR_BadNVList             SOMD_ErrorCode(999)
#define SOMDERROR_BadFlag               SOMD_ErrorCode(999)
#define SOMDERROR_BadLength             SOMD_ErrorCode(999)
#define SOMDERROR_NullField             SOMD_ErrorCode(999)
#define SOMDERROR_UnknownReposId        SOMD_ErrorCode(999)
#define SOMDERROR_NVListAccess          SOMD_ErrorCode(999)
#define SOMDERROR_NVIndexError          SOMD_ErrorCode(999)
#define SOMDERROR_SysTime               SOMD_ErrorCode(999)
#define SOMDERROR_SystemCallFailed      SOMD_ErrorCode(999)
#define SOMDERROR_NoServerClass         SOMD_ErrorCode(999)
#define SOMDERROR_SOMDDIRNotSet         SOMD_ErrorCode(999)
#define SOMDERROR_NoImplDatabase        SOMD_ErrorCode(999)
#define SOMDERROR_ImplNotFound          SOMD_ErrorCode(999)
#define SOMDERROR_ServerNotActive       SOMD_ErrorCode(999)
#define SOMDERROR_CouldNotStartSOM      SOMD_ErrorCode(999)
#define SOMDERROR_NoParentClass         SOMD_ErrorCode(999)
#define SOMDERROR_DispatchError         SOMD_ErrorCode(999)
#define SOMDERROR_BadResultType         SOMD_ErrorCode(999)
#define SOMDERROR_KeyInUse              SOMD_ErrorCode(999)
#define SOMDERROR_KeyNotFound           SOMD_ErrorCode(999)
#define SOMDERROR_CtxInvalidPropName    SOMD_ErrorCode(999)
#define SOMDERROR_CtxStartScopeNotFound SOMD_ErrorCode(999)
#define SOMDERROR_CtxAccess             SOMD_ErrorCode(999)
#define SOMDERROR_AccessDenied          SOMD_ErrorCode(999)
#define SOMDERROR_Locked                SOMD_ErrorCode(999)
#define SOMDERROR_Interrupt             SOMD_ErrorCode(999)
#define SOMDERROR_Pointer               SOMD_ErrorCode(999)
#define SOMDERROR_Boundary              SOMD_ErrorCode(999)
#define SOMDERROR_UnknownError          SOMD_ErrorCode(999)
#define SOMDERROR_NoSpace               SOMD_ErrorCode(999)
#define SOMDERROR_DuplicateQueue        SOMD_ErrorCode(999)
#define SOMDERROR_BadQueueName          SOMD_ErrorCode(999)
#define SOMDERROR_DuplicateSem          SOMD_ErrorCode(999)
#define SOMDERROR_BadSemName            SOMD_ErrorCode(999)
#define SOMDERROR_TooManyHandles        SOMD_ErrorCode(999)
#define SOMDERROR_BadAddrFamily         SOMD_ErrorCode(999)
#define SOMDERROR_BadFormat             SOMD_ErrorCode(999)
#define SOMDERROR_BadDrive              SOMD_ErrorCode(999)
#define SOMDERROR_SharingViolation      SOMD_ErrorCode(999)
#define SOMDERROR_BadExeSignature       SOMD_ErrorCode(999)
#define SOMDERROR_BadExe                SOMD_ErrorCode(999)
#define SOMDERROR_Busy                  SOMD_ErrorCode(999)
#define SOMDERROR_BadThread             SOMD_ErrorCode(999)
#define SOMDERROR_SOMDPORTNotDefined    SOMD_ErrorCode(999)
#define SOMDERROR_ResourceExists        SOMD_ErrorCode(999)
#define SOMDERROR_UserName              SOMD_ErrorCode(999)
#define SOMDERROR_MustOverride          SOMD_ErrorCode(999)
#define SOMDERROR_NoSocketsClass        SOMD_ErrorCode(999)
#define SOMDERROR_EManRegData           SOMD_ErrorCode(999)
#define SOMDERROR_NoRemoteComm          SOMD_ErrorCode(999)
#define SOMDERROR_RequestNotFound       SOMD_ErrorCode(999)
#define SOMDERROR_SocketClose           SOMD_ErrorCode(999)
#define SOMDERROR_GlobalAtomError       SOMD_ErrorCode(999)
#define SOMDERROR_NamedMemoryTableError SOMD_ErrorCode(999)
#define SOMDERROR_WMQUIT                SOMD_ErrorCode(999)
#define SOMDERROR_AnchorNotFound        SOMD_ErrorCode(999)
#define SOMDERROR_NotQueueOwner         SOMD_ErrorCode(999)
#define SOMDERROR_QueueNotFound         SOMD_ErrorCode(999)
#define SOMDERROR_BadQueueHandle        SOMD_ErrorCode(999)
#define SOMDERROR_LSBadCommand          SOMD_ErrorCode(999)
#define SOMDERROR_BadRevision           SOMD_ErrorCode(999)
#define SOMDERROR_DuplicateImplEntry    SOMD_ErrorCode(999)
#define SOMDERROR_InvalidSOMSOCKETS     SOMD_ErrorCode(999)
#define SOMDERROR_IRNotFound            SOMD_ErrorCode(999)
#define SOMDERROR_ClassNotInIR          SOMD_ErrorCode(999)
#define SOMDERROR_PacketError           SOMD_ErrorCode(999)
#define SOMDERROR_SocketError           SOMD_ErrorCode(999)
#define SOMDERROR_Marshal               SOMD_ErrorCode(999)
#define SOMDERROR_NotProcessOwner       SOMD_ErrorCode(999)
#define SOMDERROR_ServerInactive        SOMD_ErrorCode(999)
#define SOMDERROR_ServerDisabled        SOMD_ErrorCode(999)
#define SOMDERROR_ServerToBeDeleted     SOMD_ErrorCode(999)
#define SOMDERROR_NoObjRefTable         SOMD_ErrorCode(999)
#define SOMDERROR_UpdateImplDef         SOMD_ErrorCode(999)
#define SOMDERROR_TranServiceError      SOMD_ErrorCode(999)
#define SOMDERROR_NoImplDirectory       SOMD_ErrorCode(999)
#define SOMDERROR_ServerNotStoppable    SOMD_ErrorCode(999)
#define SOMDERROR_ObjectNotFound        SOMD_ErrorCode(999)

#endif /* somderr_h */
